using System;

namespace Animals
{
  public class Dog : Animal
  {
    private int _dogID;
    public int DogID
    {
      get { return _dogID; }
      set { _dogID = value; }
    }

    private string _breed;
    public string Breed
    {
      get { return _breed; }
      set { _breed = value; }
    }

  
    public override void Speak()
    {
      Console.WriteLine("Woof woof woof"); 
    }

    public override void Walk()
    {
      Console.WriteLine("Trot trot trot"); 
    }
  }
}
